<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->

</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('admin')"></div>

    <!--CAROUSEL-->
    <!--<div th:replace="fragments/layout :: carousel-sm"></div>-->

    <main id="main" class="container mt-2">
        <div class="d-lg-flex">
            <!--SIDE NAV-->
            <div class="p-2">
                <!--BACK-->
                <div class="mb-2">
                    <a class="btn btn-sm btn-outline-secondary w-100" th:href="@{${borrow.reservation ? '/admin/reservations' : '/admin/borrows'}}">
                        <i class="fas fa-chevron-left mr-2"></i>
                        Zpět na seznam
                    </a>
                </div>
                <!--SIDE NAV-->
                <div th:replace="fragments/layout :: adminSideNav(${borrow.reservation ? 'reservations' : 'borrows'})"></div>
            </div>

            <div class="flex-grow-1 p-2">

                <!--HEADING-->
                <div class="mb-3 pt-1 border-bottom clearfix">
                    <div class="float-left">
                        <h2 th:text="${(borrow.reservation ? 'Rezervace' : 'Výpůjčka') + ' - ' + borrow.product.name}">Rezervace</h2>
                        <p class="small text-muted mb-0" th:text="'vytvořeno: ' + ${borrow.getFormatCreateDate()}"></p>
                    </div>
                    <div sec:authorize="hasRole('ADMIN')" class="float-right mt-2 pb-1">
                        <!--RETURN-->
                        <a th:if="${!borrow.reservation}"
                           class="btn btn-sm btn-orange" th:href="@{/admin/borrow/return/} + ${borrow.id}"
                           data-toggle="tooltip" data-placement="bottom" title="vrátit produkt"
                           th:attr="data-conf-0=${borrow.product.name}"
                           onclick="return confirmWithData('Opravdu chcete vrátit produkt {0}?', this);">
                            <i class="fas fa-exchange-alt"></i>
                            Vrátit
                        </a>
                        <!--BORROW-->
                        <a th:if="${borrow.reservation}"
                           class="btn btn-sm btn-orange" th:href="@{/admin/reservation/borrow?reservId=} + ${borrow.id}"
                           data-toggle="tooltip" data-placement="bottom" title="vytvořit výpůjčku"
                           onclick="return confirm('Opravdu chcete z rezervace vytvořit výpůjčku?');">
                            <i class="far fa-clock"></i>
                            Výpůjčit
                        </a>
                        <!--EDIT-->
                        <a class="btn btn-sm btn-success" th:href="@{/admin/borrow/edit/} + ${borrow.id}">
                            <i class="fas fa-pen"></i>
                            Upravit
                        </a>
                        <!--DELETE-->
                        <a class="btn btn-sm btn-danger" th:href="@{/admin/borrow/remove/} + ${borrow.id}"
                           th:attr="data-conf-0=${borrow.reservation ? 'rezervaci' : 'výpůjčku'}"
                           onclick="return confirmWithData('Opravdu chcete zrušit {0}?', this);">
                            <i class="fas fa-trash"></i>
                        </a>
                    </div>
                </div>

                <!--ALERTS-->
                <div th:replace="fragments/layout :: alerts"></div>

                <div class="row">
                    <div class="col-12 col-sm-6 col-xl-5">
                        <div class="card">
                            <div class="card-header" th:text="${borrow.reservation ? 'Rezervace' : 'Výpůjčka'}">
                                Rezervace
                            </div>
                            <div class="card-body pb-1">
                                <p>
                                    <span class="text-muted small">Produkt:</span>
                                    <span class="font-weight-bold" th:text="${borrow.product.name}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Od:</span>
                                    <span class="font-weight-bold" th:text="${borrow.getFormatFromDate()}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Do:</span>
                                    <span class="font-weight-bold" th:text="${borrow.getFormatToDate()}"></span>
                                </p>
                                <p class="mb-1">
                                    <span class="text-muted small">Příslušenství:</span>
                                </p>
                                <ul class="font-weight-bold"
                                    th:if="${not #lists.isEmpty(borrow.accessories)}"
                                    th:each="accessory : ${borrow.accessories}">
                                    <li th:text="${accessory.name}"></li>
                                </ul>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-sm-6 col-xl-7 pl-0">
                        <div class="card">
                            <div class="card-header">
                                Uživatel
                            </div>
                            <div class="card-body pb-1">
                                <p>
                                    <span class="text-muted small">Jméno a příjmení:</span>
                                    <a th:href="@{/admin/user/detail/} + ${borrow.user.id}" target="_blank"
                                       class="font-weight-bold text-orange" th:text="${borrow.user.getFullName()}"></a>
                                </p>
                                <p>
                                    <span class="text-muted small">Email:</span>
                                    <a class="font-weight-bold text-dark text-decoration-none"
                                       th:href="'mailto:' + ${borrow.user.email}" th:text="${borrow.user.email}"></a>
                                    <!--<span id="userEmail" class="font-weight-bold cursor-pointer" th:text="${borrow.user.email}"
                                    onclick="copyInnerHtmlToClipboard('#userEmail'); showToast('Email byl zkopírován')"></span>-->
                                </p>
                                <p>
                                    <span class="text-muted small">Telefon:</span>
                                    <a class="font-weight-bold text-dark text-decoration-none"
                                       th:href="'tel:' + ${borrow.user.phoneNumber}" th:text="${borrow.user.phoneNumber}"></a>
                                    <!--<span id="userPhone" class="font-weight-bold cursor-pointer" th:text="${borrow.user.phoneNumber}"
                                          onclick="copyInnerHtmlToClipboard('#userPhone'); showToast('Telefon byl zkopírován')"></span>-->
                                </p>
                                <p>
                                    <span class="text-muted small">Adresa:</span>
                                    <span id="userAddress" class="font-weight-bold cursor-pointer" th:text="${borrow.user.address.getFormatAddress()}"
                                          onclick="copyInnerHtmlToClipboard('#userAddress'); showToast('Adresa byla zkopírována')"></span>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

</body>
</html>